> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# List members in segment

GET https://api.mailchimp.com/3.0/lists/{list_id}/segments/{segment_id}/members

Get information about members in a saved segment.

Reference: https://mailchimp.com/developer/marketing/api/lists/list-segment-members

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `list_id` (string, required) — The unique ID for the list.
- `segment_id` (string, required) — The unique id for the segment.

### Query parameters

- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
- `count` (integer, optional, default: 10) — The number of records to return. Default value is 10. Maximum value is 1000
- `offset` (integer, optional, default: 0) — Used for [pagination](https://mailchimp.com/developer/marketing/docs/methods-parameters/#pagination), this is the number of records from a collection to skip. Default value is 0.
- `include_cleaned` (boolean, optional) — Include cleaned members in response
- `include_transactional` (boolean, optional) — Include transactional members in response
- `include_unsubscribed` (boolean, optional) — Include unsubscribed members in response

## Response

### 200

- `_links` (list of 30ListsListIdSegmentsSegmentIdMembersGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `members` (list of ListsSegmentsMembers, optional) — An array of objects, each representing a specific list member.
- `total_items` (integer, optional) — The total number of items matching the query regardless of pagination.

## Types

### 30ListsListIdSegmentsSegmentIdMembersGetResponsesContentApplicationJsonSchemaLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ListsSegmentsMembers

Individuals who are currently or have been previously subscribed to this list, including members who have bounced or unsubscribed.

- `_links` (list of ListsSegmentsMembersLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `email_address` (string, optional) — Email address for a subscriber.
- `email_client` (string, optional) — The list member's email client.
- `email_type` (string, optional) — Type of email this member asked to get ('html' or 'text').
- `full_name` (string, optional) — The contact's full name.
- `id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address.
- `interests` (map from string to boolean, optional) — The key of this object's properties is the ID of the interest in question.
- `ip_opt` (string, optional) — The IP address the subscriber used to confirm their opt-in status.
- `ip_signup` (string, optional) — IP address the subscriber signed up from.
- `language` (string, optional) — If set/detected, the [subscriber's language](https://mailchimp.com/help/view-and-edit-contact-languages/).
- `last_changed` (datetime, optional) — The date and time the member's info was last changed in ISO 8601 format.
- `last_note` (ListsSegmentsMembersLastNote, optional) — The most recent Note added about this member.
- `list_id` (string, optional) — The list id.
- `location` (ListsSegmentsMembersLocation, optional) — Subscriber location information.
- `member_rating` (integer, optional) — Star rating for this member, between 1 and 5.
- `merge_fields` (map from string to ListsSegmentsMembersMergeFields, optional, nullable) — A dictionary of merge fields where the keys are the merge tags. See the [Merge Fields documentation](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for more about the structure.
- `stats` (ListsSegmentsMembersStats, optional) — Open and click rates for this subscriber.
- `status` (enum, optional) — Subscriber's current status.
  - Allowed values: `subscribed`, `unsubscribed`, `cleaned`, `pending`, `transactional`
- `timestamp_opt` (datetime, optional) — The date and time the subscriber confirmed their opt-in status in ISO 8601 format.
- `timestamp_signup` (datetime, optional) — The date and time the subscriber signed up for the list in ISO 8601 format.
- `unique_email_id` (string, optional) — An identifier for the address across all of Mailchimp.
- `vip` (boolean, optional) — [VIP status](https://mailchimp.com/help/designate-and-send-to-vip-contacts/) for subscriber.

### ListsSegmentsMembersLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ListsSegmentsMembersLastNote

The most recent Note added about this member.

- `created_at` (datetime, optional) — The date and time the note was created in ISO 8601 format.
- `created_by` (string, optional) — The author of the note.
- `note` (string, optional) — The content of the note.
- `note_id` (integer, optional) — The note id.

### ListsSegmentsMembersLocation

Subscriber location information.

- `country_code` (string, optional) — The unique code for the location country.
- `dstoff` (integer, optional) — The offset for timezones where daylight saving time is observed.
- `gmtoff` (integer, optional) — The time difference in hours from GMT.
- `latitude` (double, optional) — The location latitude.
- `longitude` (double, optional) — The location longitude.
- `timezone` (string, optional) — The timezone for the location.

### ListsSegmentsMembersMergeFields

This object's keys are merge tags (like FNAME). It's values are the values to be added to the merge field.

### ListsSegmentsMembersStats

Open and click rates for this subscriber.

- `avg_click_rate` (double, optional) — A subscriber's average clickthrough rate.
- `avg_open_rate` (double, optional) — A subscriber's average open rate.

### ListsSegmentsMembersMergeFields0

- `addr1` (string, required)
- `city` (string, required)
- `state` (string, required)
- `zip` (string, required)
- `addr2` (string, optional)
- `country` (string, optional)

## Examples

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "members": [
    {
      "_links": [
        {
          "href": "string",
          "method": "GET",
          "rel": "string",
          "schema": "string",
          "targetSchema": "string"
        }
      ],
      "email_address": "string",
      "email_client": "string",
      "email_type": "string",
      "full_name": "string",
      "id": "string",
      "interests": {},
      "ip_opt": "string",
      "ip_signup": "string",
      "language": "string",
      "last_changed": "2024-01-15T09:30:00Z",
      "last_note": {
        "created_at": "2024-01-15T09:30:00Z",
        "created_by": "string",
        "note": "string",
        "note_id": 1
      },
      "list_id": "string",
      "location": {
        "country_code": "string",
        "dstoff": 1,
        "gmtoff": 1,
        "latitude": 1.1,
        "longitude": 1.1,
        "timezone": "string"
      },
      "member_rating": 1,
      "merge_fields": {},
      "stats": {
        "avg_click_rate": 1.1,
        "avg_open_rate": 1.1
      },
      "status": "subscribed",
      "timestamp_opt": "2024-01-15T09:30:00Z",
      "timestamp_signup": "2024-01-15T09:30:00Z",
      "unique_email_id": "string",
      "vip": true
    }
  ],
  "total_items": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members"

querystring = {"include_cleaned":"false","include_transactional":"false","include_unsubscribed":"false"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members?include_cleaned=false&include_transactional=false&include_unsubscribed=false';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members?include_cleaned=false&include_transactional=false&include_unsubscribed=false"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members?include_cleaned=false&include_transactional=false&include_unsubscribed=false")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members?include_cleaned=false&include_transactional=false&include_unsubscribed=false")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members?include_cleaned=false&include_transactional=false&include_unsubscribed=false', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members?include_cleaned=false&include_transactional=false&include_unsubscribed=false");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/lists/list_id/segments/segment_id/members?include_cleaned=false&include_transactional=false&include_unsubscribed=false")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```